
tasks:
- 01 design ideas for simple gives on the Home page
- 02 Discover page - add infinite search
- 01 add a location for a project via map pin
- 04 search by a bounding box for local projects (see API by clicking on "Nearby")
- 01 remove all the "form" fields (or at least investigate to see if that page refresh is desired)
- 01 Replace Gifted/Give in ContactsView with GiftedDialog
- 02 Fix images on projectview: allow choice of image from a pallete of images or a url image.

- 08 Scan QR code to import into contacts.

- contacts v1 :
  - 01 Import contact info a la QR code.
  - .2 move all "identity" references to temporary account access assignee:trent

- contacts v+ :
  - 01 Import all the non-sensitive data (ie. contacts & settings).
  - .2 show error to user when adding a duplicate contact
  - 01 parse input more robustly (with CSV lib and not commas)

- refactor UI :
  - .5 Alerts show at the top and can be missed if you've scrolled down on the page, eg. account data download
  - .2 Make alerts at the top more visible (because they're currently a similar color and sometimes aren't seen)

- Show pop-up or some message confirming that settings & contacts download has been initiated/finished

- Ensure each action sent to the server has a confirmation - eg registration

- Home Feed & Quick Give screen :
  - 01 save the feed-viewed status in settings storage ("afterQuery")
  - 01 quick action - send action, maybe choose via canvas tool https://github.com/konvajs/vue-konva

- .5 customize favicon
- 04 allow user to download claims, mine + ones I can see about me from others

- 24 Move to Vite

- 40 notifications :
  - push

- Discuss whether the remaining tasks are worthwhile before MVP release.

- 01 fix images on project page, on discovery page
- .2 fix static icon to the right on project page (Matthew:  I've made "Rotary" into issuer?)

- stats v1 :
  - 01 show numeric stats
  - 01 link to world for specific stats
  - .5 don't load another instance of a bush if it already exists
  - maybe - allow type annotations in World.js & landmarks.js (since we get this error - "Types are not supported by current JavaScript version")
  - 08 convert to cleaner implementation (maybe Drie -- https://github.com/janvorisek/drie)

- Do we want split first name & last name?

- Release Minimum Viable Product :
  - 08 thorough testing for errors & edge cases
  - Turn off stats-world or ensure it's usable (eg. cannot zoom out too far and lose world, cannot screenshot).
  - Add disclaimers.
  - Rename DB to TimeSafari.
  - Switch default server to the public server.
  - Deploy to a server.
  - Ensure public server has limits that work for group adoption.
  - Test PWA features on Android and iOS.
  blocks: ref:https://raw.githubusercontent.com/trentlarson/lives-of-gifts/master/project.yaml#kickstarter%20for%20time

- 40 notifications v+ :
  - pull, w/ scheduled runs

- linking between projects or plans :
  - show total time given to & from a project
  - terminology:
    - for subtasks: fulfills (is it really the same?), feeds, contributes to, supplies, boosts, advances
    - for blocking: blocks, precedes, comes before, is sought by -- vs follows, seeks, builds on ("contributes to" isn't specific enough, "succeeds" has different, possibly confusing meaning)

- Stats :
  - 01 point out user's location on the world
  - 01 present a credential selected from the stats
  - 04 show gives spreading to other places
  - badge for most gives/receives/confirms per day/week/month
  - badge for amount given/offered to your project
  - set a goal of given/offers

- automated tests, eg. cypress

- Notifications (wake on the phone, push notifications)

- Connect with phone contacts

- Multiple identities

- Peer DID

- DIDComm

- Write to or read from a different ledger (eg. private ACDC, attest.sh)


log:
- videos for multiple identities https://youtu.be/p8L87AeD76w and for adding time to contacts https://youtu.be/7Yylczevp10 done:2023-03-29
- project lists, contact totals & actions, multiple identifiers, stats-world, activity feed, rename of this project file (use "--follow --") milestone:2 done:2023-06-27
